/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto.platform;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.util.Date;


/**
 * 消息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-10-26 16:48:57  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "消息表")
public class CpNotice extends TenantPartition implements POJO
{
  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 编号<br>
   */
  @ApiModelProperty("编号")
  @Size(max = 10, message="编号-noticeNum: 数据长度不能 > 10" )
  private String noticeNum;
  /**
   * 标题<br>
   */
  @ApiModelProperty("标题")
  @Size(max = 150, message="标题-title: 数据长度不能 > 150" )
  private String title;
  /**
   * 内容<br>
   */
  @ApiModelProperty("内容")
  @Size(max = 500, message="内容-content: 数据长度不能 > 500" )
  private String content;
  /**
   * 状态(1、未读 2、已读)<br>
   */
  @ApiModelProperty("状态(1、未读 2、已读)")
  @Size(max = 2, message="状态(1、未读 2、已读)-status: 数据长度不能 > 2" )
  private String status;
  /**
   * 类别(1、通知  2、待办)<br>
   */
  @ApiModelProperty("类别(1、通知  2、待办)")
  @Size(max = 2, message="类别(1、通知  2、待办)-category: 数据长度不能 > 2" )
  private String category;
  /**
   * 类型(1、缺陷 2、用例设计 3、需求分析 4、测试执行 5、测试点分析)<br>
   */
  @ApiModelProperty("类型(1、缺陷 2、用例设计 3、需求分析 4、测试执行 5、测试点分析)")
  @Size(max = 2, message="类型(1、缺陷 2、用例设计 3、需求分析 4、测试执行 5、测试点分析)-type: 数据长度不能 > 2" )
  private String type;
  /**
   * 资源id<br>
   */
  @ApiModelProperty("资源id")
  @Size(max = 32, message="资源id-recourcesId: 数据长度不能 > 32" )
  private String recourcesId;
  /**
   * 接收人<br>
   */
  @ApiModelProperty("接收人")
  @Size(max = 50, message="接收人-receiver: 数据长度不能 > 50" )
  private String receiver;
  /**
   * 发送人<br>
   */
  @ApiModelProperty("发送人")
  @Size(max = 50, message="发送人-sender: 数据长度不能 > 50" )
  private String sender;
  /**
   * 发送时间<br>
   */
  @ApiModelProperty("发送时间")
  private Date sendTime;
  /**
   * 接收时间<br>
   */
  @ApiModelProperty("接收时间")
  private Date receiveTime;
  /**
   * 处理时间<br>
   */
  @ApiModelProperty("处理时间")
  private Date processingTime;
  /**
   * 是否删除(0 否 1 删除)<br>
   */
  @ApiModelProperty("是否删除(0 否 1 删除)")
  private Boolean delete;
  /**
   * 来源(1、项目管理 2、团队管理 3、用例审核 4、缺陷管理 5、测试执行)<br>
   */
  @ApiModelProperty("来源(1、项目管理 2、团队管理 3、用例审核 4、缺陷管理 5、测试执行)")
  @Size(max = 10, message="来源(1、项目管理 2、团队管理 3、用例审核 4、缺陷管理 5、测试执行)-source: 数据长度不能 > 10" )
  private String source;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  @ApiModelProperty("资源所在的目录")
  @Size(max = 32, message = "资源所在的目录-catalogId: 数据长度不能 > 32")
  private String catalogId;

  private String pramas;

  public String getPramas() {
    return pramas;
  }

  public void setPramas(String pramas) {
    this.pramas = pramas;
  }

  public String getCatalogId() {
    return catalogId;
  }

  public void setCatalogId(String catalogId) {
    this.catalogId = catalogId;
  }

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 编号<br>
   */
  public String getNoticeNum()
  {
      return noticeNum;
    }

  /**
   * 编号<br>
   *
   * @param noticeNum 编号
   */
  public void setNoticeNum(String noticeNum)
  {
      this.noticeNum = noticeNum;
    }
  /**
   * 标题<br>
   */
  public String getTitle()
  {
      return title;
    }

  /**
   * 标题<br>
   *
   * @param title 标题
   */
  public void setTitle(String title)
  {
      this.title = title;
    }
  /**
   * 内容<br>
   */
  public String getContent()
  {
      return content;
    }

  /**
   * 内容<br>
   *
   * @param content 内容
   */
  public void setContent(String content)
  {
      this.content = content;
    }
  /**
   * 状态(1、未读 2、已读)<br>
   */
  public String getStatus()
  {
      return status;
    }

  /**
   * 状态(1、未读 2、已读)<br>
   *
   * @param status 状态(1、未读 2、已读)
   */
  public void setStatus(String status)
  {
      this.status = status;
    }
  /**
   * 类别(1、通知  2、待办)<br>
   */
  public String getCategory()
  {
      return category;
    }

  /**
   * 类别(1、通知  2、待办)<br>
   *
   * @param category 类别(1、通知  2、待办)
   */
  public void setCategory(String category)
  {
      this.category = category;
    }
  /**
   * 类型(1、缺陷 2、用例设计 3、需求分析 4、测试执行 5、测试点分析)<br>
   */
  public String getType()
  {
      return type;
    }

  /**
   * 类型(1、缺陷 2、用例设计 3、需求分析 4、测试执行 5、测试点分析)<br>
   *
   * @param type 类型(1、缺陷 2、用例设计 3、需求分析 4、测试执行 5、测试点分析)
   */
  public void setType(String type)
  {
      this.type = type;
    }
  /**
   * 资源id<br>
   */
  public String getRecourcesId()
  {
      return recourcesId;
    }

  /**
   * 资源id<br>
   *
   * @param recourcesId 资源id
   */
  public void setRecourcesId(String recourcesId)
  {
      this.recourcesId = recourcesId;
    }
  /**
   * 接收人<br>
   */
  public String getReceiver()
  {
      return receiver;
    }

  /**
   * 接收人<br>
   *
   * @param receiver 接收人
   */
  public void setReceiver(String receiver)
  {
      this.receiver = receiver;
    }
  /**
   * 发送人<br>
   */
  public String getSender()
  {
      return sender;
    }

  /**
   * 发送人<br>
   *
   * @param sender 发送人
   */
  public void setSender(String sender)
  {
      this.sender = sender;
    }
  /**
   * 发送时间<br>
   */
  public Date getSendTime()
  {
      if(sendTime != null)
    {
      return (Date)sendTime.clone();
    }
    return null;
    }

  /**
   * 发送时间<br>
   *
   * @param sendTime 发送时间
   */
  public void setSendTime(Date sendTime)
  {
      if(sendTime != null)
    {
      this.sendTime = (Date)sendTime.clone();
    }
    }
  /**
   * 接收时间<br>
   */
  public Date getReceiveTime()
  {
      if(receiveTime != null)
    {
      return (Date)receiveTime.clone();
    }
    return null;
    }

  /**
   * 接收时间<br>
   *
   * @param receiveTime 接收时间
   */
  public void setReceiveTime(Date receiveTime)
  {
      if(receiveTime != null)
    {
      this.receiveTime = (Date)receiveTime.clone();
    }
    }
  /**
   * 处理时间<br>
   */
  public Date getProcessingTime()
  {
      if(processingTime != null)
    {
      return (Date)processingTime.clone();
    }
    return null;
    }

  /**
   * 处理时间<br>
   *
   * @param processingTime 处理时间
   */
  public void setProcessingTime(Date processingTime)
  {
      if(processingTime != null)
    {
      this.processingTime = (Date)processingTime.clone();
    }
    }
  /**
   * 是否删除(0 否 1 删除)<br>
   */
  public Boolean getDelete()
  {
      return delete;
    }

  /**
   * 是否删除(0 否 1 删除)<br>
   *
   * @param delete 是否删除(0 否 1 删除)
   */
  public void setDelete(Boolean delete)
  {
      this.delete = delete;
    }
  /**
   * 来源(1、项目管理 2、团队管理 3、用例审核 4、缺陷管理 5、测试执行)<br>
   */
  public String getSource()
  {
      return source;
    }

  /**
   * 来源(1、项目管理 2、团队管理 3、用例审核 4、缺陷管理 5、测试执行)<br>
   *
   * @param source 来源(1、项目管理 2、团队管理 3、用例审核 4、缺陷管理 5、测试执行)
   */
  public void setSource(String source)
  {
      this.source = source;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CpNotice()
  {
  }

}
